import request from '@/utils/request'

// 查询题库列表
export function listLiveQuestionBank(query) {
  return request({
    url: '/live/liveQuestionBank/list',
    method: 'get',
    params: query
  })
}

// 新增题库
export function addLiveQuestionBank(data) {
  return request({
    url: '/live/liveQuestionBank',
    method: 'post',
    data: data
  })
}

// 修改题库
export function updateLiveQuestionBank(data) {
  return request({
    url: '/live/liveQuestionBank',
    method: 'put',
    data: data
  })
}

// 删除题库
export function deleteLiveQuestionBank(questionBankId) {
  return request({
    url: '/live/liveQuestionBank/' + questionBankId,
    method: 'delete'
  })
}